summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-10-07 10:51:25 -0400
committerMike Frysinger <vapier@gentoo.org>2015-10-07 10:51:57 -0400
commite121815fa352616db9031e5c366065c577795b22 (patch)
tree465b873b55bab69ba2e01b82c280513353ef5ea3 /games-board/gnubg
parentmedia-sound/nted: Fixed compilation against freetype-2.6.1 (bug #562430) (diff)
downloadgentoo-e121815fa352616db9031e5c366065c577795b22.tar.gz
gentoo-e121815fa352616db9031e5c366065c577795b22.tar.bz2
gentoo-e121815fa352616db9031e5c366065c577795b22.zip
games-boards/gnubg: fix building w/gcc-5 #551896
This is mostly a hack around broken gnubg headers, but it works, and upstream has been notified of the problem, so let them sort it out.
Diffstat (limited to 'games-board/gnubg')
-rw-r--r--games-board/gnubg/gnubg-1.05.000.ebuild3
1 files changed, 3 insertions, 0 deletions
diff --git a/games-board/gnubg/gnubg-1.05.000.ebuild b/games-board/gnubg/gnubg-1.05.000.ebuild
index 90c280ab76a..1399aa905ca 100644
--- a/games-board/gnubg/gnubg-1.05.000.ebuild
+++ b/games-board/gnubg/gnubg-1.05.000.ebuild
@@ -55,6 +55,9 @@ src_prepare() {
-e '/^gnubgiconsdir / s#=.*#= /usr/share#' \
-e '/^gnubgpixmapsdir / s#=.*#= /usr/share/pixmaps#' \
pixmaps/Makefile.in || die
+ sed -i \
+ -e '1i#include <config.h>' \
+ copying.c || die #551896
}
src_configure() {